#include "timepanel.h"


TimePanel::TimePanel() : Panel(), time(0) {
}


void TimePanel::Draw(Bitmap &canvas) {
	Panel::Draw(canvas);

	textprintf_centre_ex(canvas, normalfont, w()/2+4, 4+4, 0, -1, "time");
	textprintf_centre_ex(canvas, normalfont, w()/2, 4, -1, -1, "time");

	int min = time/(60*100);
	int sec = time/100 - min*60;
	int msec = time - sec*100 - min*60*100;

	textprintf_ex(canvas, focusfont, 12+4, 44+4, 0, -1, "%01d:%02d.%02d", min, sec, msec);
	textprintf_ex(canvas, focusfont, 12, 44, -1, -1, "%01d:%02d.%02d", min, sec, msec);
}
